## org.apache.myfaces.renderkit.html
Class HtmlButtonRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlButtonRendererBase

Direct Known Subclasses:
  HtmlButtonRenderer

public class HtmlButtonRendererBase
extends HtmlRenderer

Version:
  $Revision: 320694 $ $Date: 2005-10-13 04:39:07 -0400 (Thu, 13 Oct 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mbr $), Thomas Spiegl, Anton Koinov

Constructor Summary
`HtmlButtonRendererBase()`

Method Summary
`protected java.lang.StringBuffer` `buildOnClick(javax.faces.component.UIComponent uiComponent, javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer)`
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlButtonRendererBase

    public HtmlButtonRendererBase()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildOnClick

    protected java.lang.StringBuffer buildOnClick(javax.faces.component.UIComponent uiComponent,
                                                  javax.faces.context.FacesContext facesContext,
                                                  javax.faces.context.ResponseWriter writer)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)